"use strict";
const __vanilla_filescope__ = require("@vanilla-extract/css/fileScope");
const css = require("@vanilla-extract/css");
const cssUtils = require("@vanilla-extract/css-utils");
const styles_lib_css_responsiveStyle_cjs = require("./responsiveStyle.cjs");
const styles_lib_themes_vars_css_cjs = require("../themes/vars.css.cjs");
__vanilla_filescope__.setFileScope("src/lib/css/textAlignedToIcon.css.ts", "braid-design-system");
const calculateForBreakpoint = (breakpoint) => {
  const type = styles_lib_themes_vars_css_cjs.vars.textSize.standard[breakpoint];
  const padding = cssUtils.calc(type.lineHeight).subtract(type.capHeight).divide(2).toString();
  return {
    paddingTop: padding,
    paddingBottom: padding
  };
};
const textAlignedToIcon = {
  standard: css.style(styles_lib_css_responsiveStyle_cjs.responsiveStyle({
    mobile: calculateForBreakpoint("mobile"),
    tablet: calculateForBreakpoint("tablet")
  }), "textAlignedToIcon_standard")
};
__vanilla_filescope__.endFileScope();
exports.textAlignedToIcon = textAlignedToIcon;
